OWASP ModSec with Litespeed

Discussion in 'General' started by Kamran Biglari, Jun 23, 2014.

  1. Kamran Biglari

    Kamran Biglari New Member

    Hi,

    I used Apache configuration for Litespeed , OWASP is not working with litespeed and I received this error :

    rewrite: unknown server variable while parsing: Transfer-Encoding)/'

    How can I use OWASP with litespeed ?

    Thank you
  2. Michael

    Michael Administrator Staff Member

  3. Kamran Biglari

    Kamran Biglari New Member

    Hi.

    Thank you for reply but I'm looking for working free modsec rules that compatible with litespeed.

    Would you please provide me some ?
    Is it possible to ignore error in OWASP rules in litespeed ?
  4. Michael

    Michael Administrator Staff Member

    Yes, you can ignore those errors.

    The OWASP rules are mostly compatible with LSWS. The rules that are incompatible will be ignored. Some of them will throw up an error like you have seen, but you do not need to pay too much attention to these errors. The errors tell you what parts of ModSecurity LSWS does not support. Getting different rules will not cause LSWS to support these variables.

    Michael

Share This Page